package com.keystar.plane.inspection.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 *  无人机图片
 **/
@Data
@TableName("kr_plane_photo")
public class PlanePhotoEntity implements Serializable {

    private static final long serialVersionUID = 1650634709644831520L;

    /**
     *  id
     **/
    private Long id;

    /**
     *  航线id
     **/
    @TableField(value = "mission_id")
    private Integer missionId;
    
    /**
     *  架次id
     **/
    @TableField(value = "record_id")
    private Integer recordId; 
    
    /**
     *  图片地址
     **/
    private String path;
    
    /**
     *  方阵名字
     **/
    @TableField(value = "pz_name")
    private String pzName;
    
    /**
     *  光伏板名字
     **/
    @TableField(value = "pv_name")
    private String pvName;

    /**
     *  记录时间
     **/
    private Date time;


}
